C3DDrawBox Class Referenceabstract

base class for a 3D volume raster graphics draw target More...

`#include <mia/3d/imagedraw.hh>`

Inheritance diagram for C3DDrawBox:
[legend]

## Public Member Functions

| C3DDrawBox (const C3DBounds &size, const C3DFVector &origin, const C3DFVector &spacing)
void | draw_line (const C3DFVector &a, const C3DFVector &b)
void | draw_point (const C3DFVector &p)
void | draw_triangle (const C3DFVector &a, const C3DFVector &b, const C3DFVector &c)

## Detailed Description

base class for a 3D volume raster graphics draw target

Definition at line 35 of file imagedraw.hh.

## Constructor & Destructor Documentation

## C3DDrawBox()

C3DDrawBox::C3DDrawBox | ( | const C3DBounds & | size,
|  | const C3DFVector & | origin,
|  | const C3DFVector & | spacing )

## Member Function Documentation

## draw_line()

void C3DDrawBox::draw_line | ( | const C3DFVector & | a,
|  | const C3DFVector & | b )

Draw a line from a to b in the volume with the current draw color. The line will be clipped at the output boundaries.

Parameters

  a |
  b |

## draw_point()

void C3DDrawBox::draw_point | ( | const C3DFVector & | p | ) |

## draw_triangle()

void C3DDrawBox::draw_triangle | ( | const C3DFVector & | a,
|  | const C3DFVector & | b,
|  | const C3DFVector & | c )

Draw a filled triangle with the corners a, b, d in the volume with the current draw color. The triangle will be clipped at the output boundaries.

Parameters

  a |
  b |
  c |

The documentation for this class was generated from the following file:

- imagedraw.hh